Early Preview
This API is in early preview and may be subject to change. Please contact your account manager if you are interested in trying the Branding API.
Use this API to modify an existing Account Brand configuration. This endpoint accepts a partial payload but only updates the provided values.
Resource URL
https://<subdomain>.onelogin.com/api/2/branding/brands/:brand_idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: In order to use the Branding API your API Credentials must be created after 21st October 2020. |
Content-Type required string | Set to application/json. |
Resource Parameter
brand_id required integer | Unique identifier for the branding object. |
Request Parameters
name required string | Brand’s name for humans. This isn't related to subdomains. |
enabled boolean | Indicates if the brand is enabled or not. |
custom_support_enabled boolean | Indicates if the custom support is enabled. If enabled, the login page includes the ability to submit a support request. |
custom_color string | Primary brand color |
custom_accent_color string | Secondary brand color |
custom_masking_color string | Color for the masking layer above the background image of the branded login screen. |
custom_masking_opacity number | Opacity for the |
enable_custom_label_for_login_screen boolean | Indicates if the custom Username/Email field label is enabled or not. |
custom_label_text_for_login_screen string | Custom label for the Username/Email field on the login screen. See example here. |
login_instruction_title string | Link text to show login instruction screen. |
login_instruction string | Text for the login instruction screen, styled in Markdown. |
hide_onelogin_footer boolean | Indicates if the OneLogin footer will appear at the bottom of the login page. |
mfa_enrollment_message string | Text that replaces the default text displayed on the initial screen of the MFA Registration. |
background string | Base64 encoded image data (JPG/PNG, <5MB) |
logo string | Base64 encoded image data (PNG, <1mb )< p> Parameter Notes
Request BodySample Responses
Typically, this error means that your Indicates that the syntax of the request is good but a value supplied is not valid. Postman CollectionReplace sample variables indicated by
Sample CodecURLReplace sample values indicated by Update Account Brand Have a Question?Found a problem or a bug? Submit a support ticket. Looking for walkthroughs or how-to guides? Check out our Knowledge Base. Have a product idea or request? Share it in our Ideas Portal. |